Bug 770844 - Host CPU detection doesn't work
Host CPU detection doesn't work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-29 10:18 EST by techtonik
Modified: 2013-01-09 19:39 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-27 14:22:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description techtonik 2011-12-29 10:18:05 EST
Description of problem:
QEMU doesn't detect Core 2 Duo CPU.

Version-Release number of selected component (if applicable):
QEMU emulator version 0.15.1 (qemu-kvm-0.15.1) / qemu i686, 0.15.1-3.fc16

How reproducible:
Always.

Steps to Reproduce:
1.cat /proc/cpuinfo | grep model
2.qemu -cpu host -hda image.qcow -m 256
3.qemu -cpu ?
  
Actual results:
$ cat /proc/cpuinfo | grep model
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
$ qemu -cpu host -hda image.qcow -m 256
Unable to find x86 CPU definition
$ qemu -cpu ?
x86           [n270]
x86         [athlon]
x86       [pentium3]
x86       [pentium2]
x86        [pentium]
x86            [486]
x86        [coreduo]
x86          [kvm32]
x86         [qemu32]
x86          [kvm64]
x86       [core2duo]
x86         [phenom]
x86         [qemu64]

Expected results:
QEMU started.
Comment 1 Justin M. Forbes 2012-01-27 14:22:28 EST
-cpu host is only supported under qemu-kvm.  If you call with 'qemu-kvm -cpu host -hda image.qcow -m 256' it will work.

Note You need to log in before you can comment on or make changes to this bug.